> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hckrt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a known issue

> Requires the known-issues:write scope and a SuperAdmin or StandardAdmin role for the program.



## OpenAPI

````yaml /openapi/external-admin-v1.json post /programs/{id}/known-issues
openapi: 3.0.3
info:
  title: Hackrate External Admin API
  version: v1
  description: >-
    Program discovery and report triage for users with assigned Hackrate roles.
    Tokens are created in Profile Settings > External API.
servers:
  - url: https://www.hckrt.com/api/v1/admin
security:
  - personalToken: []
paths:
  /programs/{id}/known-issues:
    post:
      summary: Create a known issue
      description: >-
        Requires the known-issues:write scope and a SuperAdmin or StandardAdmin
        role for the program.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KnownIssueInput'
      responses:
        '201':
          description: Known issue created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnownIssue'
        '400':
          description: Invalid known issue fields
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    KnownIssueInput:
      type: object
      required:
        - name
        - targetId
        - severityId
        - summary
        - description
        - impact
      properties:
        name:
          type: string
          maxLength: 127
        targetId:
          type: integer
        severityId:
          type: integer
        summary:
          type: string
        description:
          type: string
        impact:
          type: string
        cvss:
          type: string
          nullable: true
        cweTypeId:
          type: integer
          nullable: true
        vulnerabilityTypeId:
          type: integer
          nullable: true
    KnownIssue:
      type: object
      properties:
        id:
          type: integer
        programId:
          type: integer
        targetId:
          type: integer
        severityId:
          type: integer
        name:
          type: string
        createdAt:
          type: string
          format: date-time
        knownIssue:
          type: boolean
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
  responses:
    Forbidden:
      description: The role or token scope does not allow the operation
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    NotFound:
      description: Resource not found or outside the token owner's access
  securitySchemes:
    personalToken:
      type: http
      scheme: bearer
      bearerFormat: hckrt_pat token

````